import {
  DocBlock,
  DocSideBySide,
  CodeParams,
  Parameter,
  Field,
  Values,
  CodeSnippets,
} from "../../../components/CodeDocBlock";

<DocBlock>

## minimumLedgerSlot

Returns the lowest slot that the node has information about in its ledger.

:::info
This value may increase over time if the node is configured to purge older ledger data
:::

<DocSideBySide>
<CodeParams>

### Parameters:

**None**

### Result:

`u64` - Minimum ledger slot number

</CodeParams>

<CodeSnippets>

### Code sample:

```bash
curl http://localhost:8899 -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1, "method":"minimumLedgerSlot"}
'
```

### Response:

```json
{ "jsonrpc": "2.0", "result": 1234, "id": 1 }
```

</CodeSnippets>
</DocSideBySide>
</DocBlock>
